package com.os.ems.record.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 电实时数据对象 ems_record_dnb_instant
 *
 * @author Yinq
 * @date 2024-05-11
 */
public class EmsRecordDnbInstant extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long objId;

    /**
     * 计量设备编号
     */
    @Excel(name = "计量设备编号")
    private String monitorId;

    /**
     * 采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /**
     * A项电压
     */
    @Excel(name = "A项电压")
    private Long vA;

    /**
     * B项电压
     */
    @Excel(name = "B项电压")
    private Long vB;

    /**
     * C项电压
     */
    @Excel(name = "C项电压")
    private Long vC;

    /**
     * A项电流
     */
    @Excel(name = "A项电流")
    private Long iA;

    /**
     * B项电流
     */
    @Excel(name = "B项电流")
    private Long iB;

    /**
     * C项电流
     */
    @Excel(name = "C项电流")
    private Long iC;

    /**
     * 记录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    /**
     * 功率因数
     */
    @Excel(name = "功率因数")
    private Long glys;

    /**
     * 正向有功
     */
    @Excel(name = "正向有功")
    private Long zxyg;

    /**
     * 有功功率
     */
    @Excel(name = "有功功率")
    private Long activePower;

    /**
     * 无功功率
     */
    @Excel(name = "无功功率")
    private Long reactivePower;

    /**
     * 采集方式（0自动 1手动）
     */
    @Excel(name = "采集方式", readConverterExp = "0=自动,1=手动")
    private Long collectType;

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setMonitorId(String monitorId) {
        this.monitorId = monitorId;
    }

    public String getMonitorId() {
        return monitorId;
    }

    public void setCollectTime(Date collectTime) {
        this.collectTime = collectTime;
    }

    public Date getCollectTime() {
        return collectTime;
    }

    public void setVA(Long vA) {
        this.vA = vA;
    }

    public Long getVA() {
        return vA;
    }

    public void setVB(Long vB) {
        this.vB = vB;
    }

    public Long getVB() {
        return vB;
    }

    public void setVC(Long vC) {
        this.vC = vC;
    }

    public Long getVC() {
        return vC;
    }

    public void setIA(Long iA) {
        this.iA = iA;
    }

    public Long getIA() {
        return iA;
    }

    public void setIB(Long iB) {
        this.iB = iB;
    }

    public Long getIB() {
        return iB;
    }

    public void setIC(Long iC) {
        this.iC = iC;
    }

    public Long getIC() {
        return iC;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setGlys(Long glys) {
        this.glys = glys;
    }

    public Long getGlys() {
        return glys;
    }

    public void setZxyg(Long zxyg) {
        this.zxyg = zxyg;
    }

    public Long getZxyg() {
        return zxyg;
    }

    public void setActivePower(Long activePower) {
        this.activePower = activePower;
    }

    public Long getActivePower() {
        return activePower;
    }

    public void setReactivePower(Long reactivePower) {
        this.reactivePower = reactivePower;
    }

    public Long getReactivePower() {
        return reactivePower;
    }

    public void setCollectType(Long collectType) {
        this.collectType = collectType;
    }

    public Long getCollectType() {
        return collectType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("monitorId", getMonitorId())
                .append("collectTime", getCollectTime())
                .append("vA", getVA())
                .append("vB", getVB())
                .append("vC", getVC())
                .append("iA", getIA())
                .append("iB", getIB())
                .append("iC", getIC())
                .append("recordTime", getRecordTime())
                .append("glys", getGlys())
                .append("zxyg", getZxyg())
                .append("activePower", getActivePower())
                .append("reactivePower", getReactivePower())
                .append("collectType", getCollectType())
                .toString();
    }
}
